Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Enumerations Enumerator Properties Events
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Events | List of all members
_NAMESPACE_.MadLevelAbstractLayout Class Referenceabstract
Inheritance diagram for _NAMESPACE_.MadLevelAbstractLayout:

## Public Types
enum | TwoStepActivationType { Disabled, OnlyOnMobiles, Always }
enum | OnMobileBack { LoadPreviousLevel, LoadSpecifiedLevel }

## Public Member Functions
delegate void | IconActivationEvent (MadLevelIcon icon, string levelName)
abstract MadLevelIcon | GetIcon (string levelName)
| Gets the icon representation for given level name. More...
MadLevelIcon | GetFirstIcon ()
| Gets the icon representation for the first level (in order). More...
MadLevelIcon | GetLastIcon ()
| Gets the icon representation for the last level (in order). More...
MadLevelIcon | GetActiveIcon ()
| Gets the currently active icon or More...
abstract MadLevelIcon | FindClosestIcon (Vector3 position)
| Finds the closest level icon to given position or More...
MadLevelIcon | GetNextIcon (MadLevelIcon icon)
MadLevelIcon | GetPreviousIcon (MadLevelIcon icon)
abstract void | LookAtIcon (MadLevelIcon icon)
| Looks at given icon; More...
void | LookAtLevel (string levelName)
| Looks at level. More...
void | LookAtLastPlayedLevel ()
| Looks at last played level icon. More...
void | Activate (MadLevelIcon icon)
Public Member Functions inherited from _NAMESPACE_.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
MadLevelIcon | iconTemplate
TwoStepActivationType | twoStepActivationType = TwoStepActivationType.OnlyOnMobiles
bool | onIconActivatePlayAudio
AudioClip | onIconActivatePlayAudioClip
float | onIconActivatePlayAudioVolume = 1
bool | onIconDeactivatePlayAudio
AudioClip | onIconDeactivatePlayAudioClip
float | onIconDeactivatePlayAudioVolume = 1
bool | onIconActivateMessage
GameObject | onIconActivateMessageReceiver
string | onIconActivateMessageMethodName = "OnIconActivate"
bool | onIconDeactivateMessage
GameObject | onIconDeactivateMessageReceiver
string | onIconDeactivateMessageMethodName = "OnIconDeactivate"
bool | handleMobileBackButton = true
OnMobileBack | handleMobileBackButtonAction = OnMobileBack.LoadPreviousLevel
string | handleMobileBackButtonLevelName
MadLevelConfiguration | configuration
Public Attributes inherited from _NAMESPACE_.MadNode
bool | managed

## Protected Member Functions
virtual void | Update ()
virtual void | OnEnable ()
virtual void | Start ()

## Events
IconActivationEvent | onIconActivate
IconActivationEvent | onIconDeactivate

## Additional Inherited Members
Properties inherited from _NAMESPACE_.MadNode
static bool | Instantiating`[get, set]`

## Member Function Documentation

abstract MadLevelIcon _NAMESPACE_.MadLevelAbstractLayout.FindClosestIcon | ( | Vector3 | position | ) |
| pure virtual

Finds the closest level icon to given position or

`null` if no icons found.

Returns
  The closest level icon.

Parameters

  position | The position.

Implemented in _NAMESPACE_.MadLevelGridLayout, and _NAMESPACE_.MadLevelFreeLayout.

MadLevelIcon _NAMESPACE_.MadLevelAbstractLayout.GetActiveIcon | ( |  | ) |

Gets the currently active icon or

`null` if no icon is active.

Returns
  The currently active icon.

MadLevelIcon _NAMESPACE_.MadLevelAbstractLayout.GetFirstIcon | ( |  | ) |

Gets the icon representation for the first level (in order).

Returns
  The first level icon.

abstract MadLevelIcon _NAMESPACE_.MadLevelAbstractLayout.GetIcon | ( | string | levelName | ) |
| pure virtual

Gets the icon representation for given level name.

Returns
  The level icon or `null` if not found.

Parameters

  levelName | Level name.

Implemented in _NAMESPACE_.MadLevelGridLayout, and _NAMESPACE_.MadLevelFreeLayout.

MadLevelIcon _NAMESPACE_.MadLevelAbstractLayout.GetLastIcon | ( |  | ) |

Gets the icon representation for the last level (in order).

Returns
  The last level icon.

abstract void _NAMESPACE_.MadLevelAbstractLayout.LookAtIcon | ( | MadLevelIcon | icon | ) |
| pure virtual

Looks at given icon;

Parameters

  icon | Icon.

Implemented in _NAMESPACE_.MadLevelGridLayout, and _NAMESPACE_.MadLevelFreeLayout.

void _NAMESPACE_.MadLevelAbstractLayout.LookAtLastPlayedLevel | ( |  | ) |

Looks at last played level icon.

void _NAMESPACE_.MadLevelAbstractLayout.LookAtLevel | ( | string | levelName | ) |

Looks at level.

Parameters

  levelName | Level name.

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/Layouts/MadLevelAbstractLayout.cs